Acquire Authentication Token
Endpoint for acquiring API tokens
Endpoint URL
POST https://api-prod-eu-central-1.inappnavi.com/api/public/v1/{{tenantId}}/acquireTokenPurpose
Retrieves the Authentication Token, using the Client Id and Client Secret, to securely communicate with the public endpoints.
Access Token Validity
The access token obtained from the Public API remains valid for 8 hours from the time it is issued. Once this period expires, the token becomes invalid and a new access token must be generated to continue accessing the API.
Request Structure
When making a POST request to /acquireToken, replace the tenantId with actual tenant id in the endpoint route and include the following JSON body. Below is a an example:
| Parameter | Type | Required | Description |
|---|---|---|---|
ClientId | string | Yes | The unique client identifier. |
ClientSecret | string | Yes | The client secret. |
Example: Calling via Postman
- Open Postman and create a new POST request.
- Set the Request URL to:
https://api-prod-eu-central-1.inappnavi.com/api/public/v1/:tenantId/acquireToken- Compose the Body:
- In the Body tab, choose raw and then JSON.
- Enter the required parameters in the request body.
{
"ClientId": "example-client-id",
"ClientSecret": "exampleClientSecret"
}-
Send the Request:
- Click Send.
- If everything is correct, you should receive a 200 OK response with a JSON payload containing token.
Use the token in the request authorization inside postman.
or inside the headers, a header named Authorization with value Bearer <token>

Updated 10 days ago
What’s Next